aboutsummaryrefslogtreecommitdiff
path: root/bash/bash_completion.d/ed.bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash/bash_completion.d/ed.bash')
-rw-r--r--bash/bash_completion.d/ed.bash3
1 files changed, 2 insertions, 1 deletions
diff --git a/bash/bash_completion.d/ed.bash b/bash/bash_completion.d/ed.bash
index c7fc6fde..b9651957 100644
--- a/bash/bash_completion.d/ed.bash
+++ b/bash/bash_completion.d/ed.bash
@@ -1,4 +1,5 @@
# Completion for ed(1) with files that look editable
-declare -F _text_filenames >/dev/null ||
+if ! declare -F _text_filenames >/dev/null ; then
source "$HOME"/.bash_completion.d/_text_filenames.bash
+fi
complete -F _text_filenames -o filenames ed